```
     _______..___________. _______ .___  ___.
    /       ||           ||   ____||   \/   |
   |   (----``---|  |----`|  |__   |  \  /  |
    \   \        |  |     |   __|  |  |\/|  |
.----)   |       |  |     |  |____ |  |  |  |
|_______/        |__|     |_______||__|  |__|

```

# STEM: Soil and Track System Modeling Tool

![Tests](https://github.com/StemVibrations/STEM/actions/workflows/tests.yml/badge.svg)
[![Documentation Status](https://readthedocs.org/projects/stemvibrations/badge/?version=latest)](https://stemvibrations.readthedocs.io/)
[![codecov](https://codecov.io/gh/stemvibrations/stem/graph/badge.svg?token=0DMYCZF4BU)](https://codecov.io/gh/stemvibrations/stem)
[![PyPI version](https://img.shields.io/pypi/v/STEM-Vibrations.svg)](https://pypi.org/project/STEM-Vibrations/)
[![Python versions](https://img.shields.io/pypi/pyversions/STEM-Vibrations.svg)](https://pypi.org/project/STEM-Vibrations/)
[![License](https://img.shields.io/pypi/l/STEM-Vibrations.svg)](https://pypi.org/project/STEM-Vibrations/)

The STEM model is designed to create and analyse models of soil and track systems.
The tool provides a set of commands for creating the geometry of the model, defining the soil and track properties, setting the boundary conditions and loads, generating the mesh, and performing post-processing on the results.

## Installation

STEM can be downloaded and installed on any system that supports Python.
To install the STEM, follow the following steps:

```python
pip install STEM-Vibrations
```

Further details about the installation can be found [here](https://stemvibrations.readthedocs.io/v1.2/installation.html#).

## Usage

To use STEM please refer to the tutorials available [here](https://stemvibrations.readthedocs.io/v1.2/#tutorials).

## License

This project is licensed under the BSD 3-Clause License - see the [LICENSE](LICENSE) file for details.

